<div [ngClass]="popWindow ? 'blur' : 'author-lists'">
  <div class="horizontal-line"></div>
  <div class="container">
    <div class="row">
      <div class="col-md-6 text-white mt-1" *ngFor="let author of authors">
        <div class="author-list">
          <div class="author-list-left">
            <img
              [src]="authorSlug + author['slug'] + '.jpg'"
              onError="this.src='../../../assets/defaultImage.jpg'"
              alt=""
            />

            <p class="author-description">{{ author["description"] }}</p>
          </div>
          <div class="author-list-right">
            <h6 (click)="viewAuthorDetails(author['bio'], author['name'])">
              {{ author["name"] }}
            </h6>
            <p>
              {{ author["bio"] }}
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- popupwindow -->
<ng-container *ngIf="popWindow">
  <div [ngClass]="popWindow ? 'show' : 'hidden'">
    <h1>{{ authorName }}</h1>
    <p>
      {{ authorContent }}
    </p>
    <button
      class="btn border-white rounded-pill btn-dark"
      (click)="closePopup()"
    >
      Close<i class="fa-solid fa-circle-xmark"></i>
    </button>
  </div>
</ng-container>
